org.apache.commons.math.analysis.solvers

## Class UnivariateRealSolverUtils.LazyHolder

- java.lang.Object
- - org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.LazyHolder

- Enclosing class:
    UnivariateRealSolverUtils

      private static class UnivariateRealSolverUtils.LazyHolder
      extends java.lang.Object

  Holder for the factory.

  We use here the Initialization On Demand Holder Idiom.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static UnivariateRealSolverFactory` | `FACTORY` Cached solver factory

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `UnivariateRealSolverUtils.LazyHolder()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY

          private static final UnivariateRealSolverFactory FACTORY

      Cached solver factory

  - ### Constructor Detail

    - #### UnivariateRealSolverUtils.LazyHolder

          private UnivariateRealSolverUtils.LazyHolder()

Copyright (c) 2003-2013 Apache Software Foundation